#!/bin/sh
                                                                                
# Copyright IBM Corp. 2006
#
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# ALL Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
   
WB_DIR=$1
RAD_FEATURE_DIR=$WB_DIR/rad/eclipse/features
RWD_FEATURE_DIR=$WB_DIR/rwd/eclipse/features
RAD_PLUGIN_DIR=$WB_DIR/rad/eclipse/plugins
RWD_PLUGIN_DIR=$WB_DIR/rwd/eclipse/plugins
                                                                                
if [ -e $RWD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature.patch_6.0.2.2 ]
then                                                                      
mv $RWD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature.patch_6.0.2.2 $RAD_FEATURE_DIR
fi

if [ -e $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.creation.ejb.common_6.0.2.1 ]
then
mv $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.creation.ejb.common_6.0.2.1 $RAD_PLUGIN_DIR
fi

if [ -e $RWD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature.patch_6.0.2 ]
then  
if [ -e $RAD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature.patch_6.0.2 ]                                                                  
then
rm -rf $RAD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature.patch_6.0.2
fi
mv $RWD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature.patch_6.0.2 $RAD_FEATURE_DIR
fi

if [ -e $RWD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature.source_6.0.0 ]
then
if [ -e $RAD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature.source_6.0.0 ]
then
rm -rf $RAD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature.source_6.0.0
fi                                                                      
mv $RWD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature.source_6.0.0 $RAD_FEATURE_DIR
fi

if [ -e $RWD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature_6.0.0 ]
then
if [ -e $RAD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature_6.0.0 ]
then
rm -rf $RAD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature_6.0.0
fi                                                                      
mv $RWD_FEATURE_DIR/com.ibm.etools.webservice.was.creation.ejb.feature_6.0.0 $RAD_FEATURE_DIR
fi

if [ -e $RWD_PLUGIN_DIR/com.ibm.etools.webservice.consumption.soap.ejb_6.0.0 ]
then                                                                       
rm -rf $RWD_PLUGIN_DIR/com.ibm.etools.webservice.consumption.soap.ejb_6.0.0
fi

if [ -e $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.creation.ejb.common_6.0.2 ]
then                                                                       
rm -rf $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.creation.ejb.common_6.0.2
fi

if [ -e $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.samples.ejb_6.0.1 ]
then                                                                       
rm -rf $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.samples.ejb_6.0.1
fi

if [ -e $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.v5.creation.ejb.ui_6.0.2 ]
then                                                                       
rm -rf $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.v5.creation.ejb.ui_6.0.2
fi

if [ -e $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.v6.creation.ejb.ui_6.0.2 ]
then                                                                       
rm -rf $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.v6.creation.ejb.ui_6.0.2
fi

if [ -e $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.v51.creation.ejb.ui_6.0.2 ]
then                                                                       
rm -rf $RWD_PLUGIN_DIR/com.ibm.etools.webservice.was.v51.creation.ejb.ui_6.0.2
fi
